X
Tap here to go to the mobile version of the site.
Your Firefox is out of date and may contain a security risk! Upgrade Firefox

Support Forum

When starting Firefox 4 Beta 9 I get a Javascript Application Syntax Error

Posted

When Starting Firefox 4 Beta 9 using a vanilla userid it starts up fine. When I use my normal work ID where I have a Firefox 3.6.13 version normally running if I try and start Firefox 4 Beta 9, after stopping 3.6.13, I get a Javascript Application Syntax Error : Missing: Before Statement. When I click on OK it then goes to a Firefox Window where the Tabs are uninitialized, but there in a color grey; then when I click on Feedback it just creates another grey tab but does nothing. I am running Fedora 14 under GNOME Desktop.

Additional System Details

This happened

Every time Firefox opened

This started when...

Beta 8 and Beta 9

Installed Plug-ins

  • 3.0.40818.0
  • The Totem 2.32.0 plugin handles video and audio streams.
  • DivX Web Player version 1.4.0.233
  • Gecko Media Player 1.0.0Video Player Plug-in for QuickTime, RealPlayer and Windows Media Player streams using MPlayer
  • nspluginwrapper is a cross-platform NPAPI plugin viewer, in particular for linux/i386 plugins.This beta software is available under the terms of the GNU General Public License.
  • The IcedTea NPR Web Browser Plugin (using IcedTea6 1.9.3 (fedora-49.1.9.3.fc14-i386)) executes Java applets.
  • Shockwave Flash 10.1 r102
  • Version 1.1.5 The Luggage, copyright 1996-2007 The VideoLAN Teamhttp://www.videolan.org/
  • Helix DNA Plugin: RealPlayer G2 Plug-In Compatible version 0.4.0.5174 built with gcc 4.1.2 on Oct 6 2009
  • The Adobe Reader plugin is used to enable viewing of PDF and FDF files from within the browser.
  • Picasa plugin
  • Mime Type x-skype for Skype Buttons
  • Unable to load the Windows plugin library (last attempt Sat Jan 15 12:08:41 2011

).

  • Office Plugin for Netscape Navigator

Application

  • User Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.9.2.13) Gecko/20110103 Fedora/3.6.13-1.fc14 Firefox/3.6.13

More Information

cor-el
  • Top 10 Contributor
  • Moderator
10779 solutions 97010 answers

Are you using the same profile folder for both versions?

You shouldn't do that and create a new profile exclusively for the 4.0 beta version and create a desktop shortcut with -P "profile" appended to the command to launch that profile.